## net.sf.saxon.expr
Interface StaticContext

All Known Implementing Classes:
  ExpressionContext, StandaloneContext, StaticQueryContext

public interface StaticContext

A StaticContext contains the information needed while an expression or pattern is being parsed. The information is also sometimes needed at run-time.

Method Summary
`VariableDeclaration` `bindVariable(int fingerprint)` Bind a variable used in this element to the XSLVariable element in which it is declared
`java.lang.String` `getBaseURI()` Get the Base URI of the stylesheet element, for resolving any relative URI's used in the expression.
`java.util.Comparator` `getCollation(java.lang.String name)` Get a named collation.
`Configuration` `getConfiguration()` Get the system configuration
`java.lang.String` `getDefaultCollationName()` Get the name of the default collation.
`short` `getDefaultElementNamespace()` Get the default XPath namespace, as a namespace code that can be looked up in the NamePool
`java.lang.String` `getDefaultFunctionNamespace()` Get the default function namespace
`FunctionLibrary` `getFunctionLibrary()` Get the function library containing all the in-scope functions available in this static context
`int` `getLineNumber()` Get the line number of the expression within its containing entity Returns -1 if no line number is available
`LocationMap` `getLocationMap()` Get the location map
`NamePool` `getNamePool()` Get the NamePool used for compiling expressions
`NamespaceResolver` `getNamespaceResolver()` Get a namespace resolver to resolve the namespaces declared in this static context.
`java.lang.String` `getSystemId()` Get the System ID of the container of the expression.
`java.lang.String` `getURIForPrefix(java.lang.String prefix)` Get the URI for a namespace prefix.
`boolean` `isImportedSchema(java.lang.String namespace)` Determine whether a Schema for a given target namespace has been imported.
`boolean` `isInBackwardsCompatibleMode()` Determine whether Backwards Compatible Mode is used
`void` `issueWarning(java.lang.String s)` Issue a compile-time warning

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Get the system configuration

### getLocationMap

    public LocationMap getLocationMap()

  Get the location map

### issueWarning

    public void issueWarning(java.lang.String s)

  Issue a compile-time warning

### getSystemId

    public java.lang.String getSystemId()

  Get the System ID of the container of the expression. This is the containing entity (file) and is therefore useful for diagnostics. Use getBaseURI() to get the base URI, which may be different.

### getLineNumber

    public int getLineNumber()

  Get the line number of the expression within its containing entity Returns -1 if no line number is available

### getBaseURI

    public java.lang.String getBaseURI()

  Get the Base URI of the stylesheet element, for resolving any relative URI's used in the expression. Used by the document(), doc(), resolve-uri(), and base-uri() functions. May return null if the base URI is not known.

### getURIForPrefix

    public java.lang.String getURIForPrefix(java.lang.String prefix)
                                     throws XPathException

  Get the URI for a namespace prefix. The default namespace is NOT used when the prefix is empty.

  Parameters:
    `prefix` - The prefix
  Throws:
    `XPathException` - if the prefix is not declared

### getNamePool

    public NamePool getNamePool()

  Get the NamePool used for compiling expressions

### bindVariable

    public VariableDeclaration bindVariable(int fingerprint)
                                     throws StaticError

  Bind a variable used in this element to the XSLVariable element in which it is declared

    `StaticError`

### getFunctionLibrary

    public FunctionLibrary getFunctionLibrary()

  Get the function library containing all the in-scope functions available in this static context

### getCollation

    public java.util.Comparator getCollation(java.lang.String name)
                                      throws XPathException

  Get a named collation.

  Parameters:
    `name` - The name of the required collation. Supply null to get the default collation.
  Returns:
    the collation; or null if the required collation is not found.
    `XPathException`

### getDefaultCollationName

    public java.lang.String getDefaultCollationName()

  Get the name of the default collation.

  Returns:
    the name of the default collation; or the name of the codepoint collation if no default collation has been defined

### getDefaultElementNamespace

    public short getDefaultElementNamespace()

  Get the default XPath namespace, as a namespace code that can be looked up in the NamePool

### getDefaultFunctionNamespace

    public java.lang.String getDefaultFunctionNamespace()

  Get the default function namespace

### isInBackwardsCompatibleMode

    public boolean isInBackwardsCompatibleMode()

  Determine whether Backwards Compatible Mode is used

### isImportedSchema

    public boolean isImportedSchema(java.lang.String namespace)

  Determine whether a Schema for a given target namespace has been imported. Note that the in-scope element declarations, attribute declarations and schema types are the types registered with the (schema-aware) configuration, provided that their namespace URI is registered in the static context as being an imported schema namespace. (A consequence of this is that within a Configuration, there can only be one schema for any given namespace, including the null namespace).

### getNamespaceResolver

    public NamespaceResolver getNamespaceResolver()

  Get a namespace resolver to resolve the namespaces declared in this static context.

  Returns:
    a namespace resolver.